

\set ECHO none
set log_error_verbosity = 'terse';
set client_min_messages = 'warning';

create or replace function public.create_partition(
    i_table text,
    i_part  text,
    i_pkeys text,
    i_part_field text,
    i_part_time timestamptz,
    i_part_period text
) returns int as $$
-- crash demo
declare
    chk_start       text;
    chk_end         text;
    part_start      timestamptz;
    part_end        timestamptz;
    parent_schema   text;
    parent_name     text;
    part_schema     text;
    part_name       text;
    pos             int4;
    fq_table        text;
    fq_part         text;
    g               record;
    r               record;
    sql             text;
    pgver           integer;
begin
    -- parent table schema and name + quoted name
    parent_schema := 'public';
    parent_name := i_table;
    fq_table := quote_ident(parent_schema) || '.' || quote_ident(parent_name);

    fq_part := i_part;

    -- need to use 'like' to get indexes
    sql := 'create table ' || fq_part || ' (like ' || fq_table;
    sql := sql || ' including all';
    sql := sql || ') inherits (' || fq_table || ')';
    execute sql;

    -- copy rules
    for r in
        select rulename, definition,
               -- substring(definition from ' TO ([a-z0-9._]+)') as oldtbl
               substring('asd TO foo' from ' TO (([a-z0-9._]+|"([^"]+|"")+")+)') as oldtbl
          from pg_catalog.pg_rules
         where schemaname = parent_schema
           and tablename = parent_name
    loop
        sql := replace(r.definition, r.oldtbl, fq_part);
        execute sql;
    end loop;

    return 1;
end;
$$ language plpgsql;

\set ECHO all

create table events (
    id int4 primary key,
    ctime timestamptz not null
);

create rule ignore_dups AS
    on insert to events
    where (exists (select 1 from events
                   where (events.id = new.id)))
    do instead nothing;

select create_partition('events', 'events_2011_01', 'id', 'ctime', '2011-01-01', 'month');

