
ALTER EXTENSION pgq ADD SCHEMA pgq;

ALTER EXTENSION pgq ADD TABLE pgq.queue;
ALTER EXTENSION pgq ADD TABLE pgq.consumer;
ALTER EXTENSION pgq ADD TABLE pgq.tick;
ALTER EXTENSION pgq ADD TABLE pgq.subscription;
ALTER EXTENSION pgq ADD TABLE pgq.event_template;
ALTER EXTENSION pgq ADD TABLE pgq.retry_queue;

ALTER EXTENSION pgq ADD SEQUENCE pgq.batch_id_seq;

ALTER EXTENSION pgq ADD FUNCTION pgq.batch_event_sql(bigint);
ALTER EXTENSION pgq ADD FUNCTION pgq.batch_event_tables(bigint);
ALTER EXTENSION pgq ADD FUNCTION pgq.batch_retry(bigint, integer);
ALTER EXTENSION pgq ADD FUNCTION pgq.create_queue(text);
ALTER EXTENSION pgq ADD FUNCTION pgq.current_event_table(text);
ALTER EXTENSION pgq ADD FUNCTION pgq.drop_queue(text);
ALTER EXTENSION pgq ADD FUNCTION pgq.drop_queue(text, bool);
ALTER EXTENSION pgq ADD FUNCTION pgq.event_retry(bigint, bigint, integer);
ALTER EXTENSION pgq ADD FUNCTION pgq.event_retry(bigint, bigint, timestamptz);
ALTER EXTENSION pgq ADD FUNCTION pgq.event_retry_raw(text, text, timestamptz, bigint, timestamptz, integer, text, text, text, text, text, text);
ALTER EXTENSION pgq ADD FUNCTION pgq.find_tick_helper(int4, int8, timestamptz, int8, int8, interval);
ALTER EXTENSION pgq ADD FUNCTION pgq.finish_batch(bigint);
ALTER EXTENSION pgq ADD FUNCTION pgq.force_tick(text);
ALTER EXTENSION pgq ADD FUNCTION pgq.get_batch_cursor(bigint, text, int4);
ALTER EXTENSION pgq ADD FUNCTION pgq.get_batch_cursor(bigint, text, int4, text);
ALTER EXTENSION pgq ADD FUNCTION pgq.get_batch_events(bigint);
ALTER EXTENSION pgq ADD FUNCTION pgq.get_batch_info(bigint);
ALTER EXTENSION pgq ADD FUNCTION pgq.get_consumer_info();
ALTER EXTENSION pgq ADD FUNCTION pgq.get_consumer_info(text);
ALTER EXTENSION pgq ADD FUNCTION pgq.get_consumer_info(text, text);
ALTER EXTENSION pgq ADD FUNCTION pgq.get_queue_info();
ALTER EXTENSION pgq ADD FUNCTION pgq.get_queue_info(text);
ALTER EXTENSION pgq ADD FUNCTION pgq._grant_perms_from(text, text, text, text);
ALTER EXTENSION pgq ADD FUNCTION pgq.grant_perms(text);
ALTER EXTENSION pgq ADD FUNCTION pgq.insert_event_raw(text, bigint, timestamptz, integer, integer, text, text, text, text, text, text);
ALTER EXTENSION pgq ADD FUNCTION pgq.insert_event(text, text, text);
ALTER EXTENSION pgq ADD FUNCTION pgq.insert_event(text, text, text, text, text, text, text);
ALTER EXTENSION pgq ADD FUNCTION pgq.logutriga();
ALTER EXTENSION pgq ADD FUNCTION pgq.maint_operations();
ALTER EXTENSION pgq ADD FUNCTION pgq.maint_retry_events();
ALTER EXTENSION pgq ADD FUNCTION pgq.maint_rotate_tables_step1(text);
ALTER EXTENSION pgq ADD FUNCTION pgq.maint_rotate_tables_step2();
ALTER EXTENSION pgq ADD FUNCTION pgq.maint_tables_to_vacuum();
ALTER EXTENSION pgq ADD FUNCTION pgq.next_batch_custom(text, text, interval, int4, interval);
ALTER EXTENSION pgq ADD FUNCTION pgq.next_batch_info(text, text);
ALTER EXTENSION pgq ADD FUNCTION pgq.next_batch(text, text);
ALTER EXTENSION pgq ADD FUNCTION pgq.register_consumer_at(text, text, bigint);
ALTER EXTENSION pgq ADD FUNCTION pgq.register_consumer(text, text);
ALTER EXTENSION pgq ADD FUNCTION pgq.seq_getval(text);
ALTER EXTENSION pgq ADD FUNCTION pgq.seq_setval(text, int8);
ALTER EXTENSION pgq ADD FUNCTION pgq.set_queue_config(text, text, text);
ALTER EXTENSION pgq ADD FUNCTION pgq.sqltriga();
ALTER EXTENSION pgq ADD FUNCTION pgq.ticker();
ALTER EXTENSION pgq ADD FUNCTION pgq.ticker(text);
ALTER EXTENSION pgq ADD FUNCTION pgq.ticker(text, bigint, timestamptz, bigint);
ALTER EXTENSION pgq ADD FUNCTION pgq.tune_storage(text);
ALTER EXTENSION pgq ADD FUNCTION pgq.unregister_consumer(text, text);
ALTER EXTENSION pgq ADD FUNCTION pgq.upgrade_schema();
ALTER EXTENSION pgq ADD FUNCTION pgq.version();
