--
-- PostgreSQL database dump
--

SET statement_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SET check_function_bodies = false;
SET client_min_messages = warning;

--
-- Name: pgq; Type: EXTENSION; Schema: -; Owner: 
--

CREATE EXTENSION IF NOT EXISTS pgq WITH SCHEMA pg_catalog;


--
-- Name: EXTENSION pgq; Type: COMMENT; Schema: -; Owner: 
--

COMMENT ON EXTENSION pgq IS 'Generic queue for PostgreSQL';


--
-- Name: pgq_coop; Type: SCHEMA; Schema: -; Owner: marko
--

CREATE SCHEMA pgq_coop;


ALTER SCHEMA pgq_coop OWNER TO marko;

--
-- Name: plpgsql; Type: EXTENSION; Schema: -; Owner: 
--

CREATE EXTENSION IF NOT EXISTS plpgsql WITH SCHEMA pg_catalog;


--
-- Name: EXTENSION plpgsql; Type: COMMENT; Schema: -; Owner: 
--

COMMENT ON EXTENSION plpgsql IS 'PL/pgSQL procedural language';


SET search_path = pgq, pg_catalog;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: event_1; Type: TABLE; Schema: pgq; Owner: marko; Tablespace: 
--

CREATE TABLE event_1 (
)
INHERITS (event_template);


ALTER TABLE pgq.event_1 OWNER TO marko;

--
-- Name: event_1_0; Type: TABLE; Schema: pgq; Owner: marko; Tablespace: 
--

CREATE TABLE event_1_0 (
)
INHERITS (event_1)
WITH (fillfactor=100, autovacuum_enabled=off, toast.autovacuum_enabled=off);


ALTER TABLE pgq.event_1_0 OWNER TO marko;

--
-- Name: event_1_1; Type: TABLE; Schema: pgq; Owner: marko; Tablespace: 
--

CREATE TABLE event_1_1 (
)
INHERITS (event_1)
WITH (fillfactor=100, autovacuum_enabled=off, toast.autovacuum_enabled=off);


ALTER TABLE pgq.event_1_1 OWNER TO marko;

--
-- Name: event_1_2; Type: TABLE; Schema: pgq; Owner: marko; Tablespace: 
--

CREATE TABLE event_1_2 (
)
INHERITS (event_1)
WITH (fillfactor=100, autovacuum_enabled=off, toast.autovacuum_enabled=off);


ALTER TABLE pgq.event_1_2 OWNER TO marko;

--
-- Name: event_1_id_seq; Type: SEQUENCE; Schema: pgq; Owner: marko
--

CREATE SEQUENCE event_1_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE pgq.event_1_id_seq OWNER TO marko;

--
-- Name: event_1_tick_seq; Type: SEQUENCE; Schema: pgq; Owner: marko
--

CREATE SEQUENCE event_1_tick_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE pgq.event_1_tick_seq OWNER TO marko;

--
-- Name: ev_txid; Type: DEFAULT; Schema: pgq; Owner: marko
--

ALTER TABLE ONLY event_1 ALTER COLUMN ev_txid SET DEFAULT txid_current();


--
-- Name: ev_id; Type: DEFAULT; Schema: pgq; Owner: marko
--

ALTER TABLE ONLY event_1_0 ALTER COLUMN ev_id SET DEFAULT nextval('event_1_id_seq'::regclass);


--
-- Name: ev_txid; Type: DEFAULT; Schema: pgq; Owner: marko
--

ALTER TABLE ONLY event_1_0 ALTER COLUMN ev_txid SET DEFAULT txid_current();


--
-- Name: ev_id; Type: DEFAULT; Schema: pgq; Owner: marko
--

ALTER TABLE ONLY event_1_1 ALTER COLUMN ev_id SET DEFAULT nextval('event_1_id_seq'::regclass);


--
-- Name: ev_txid; Type: DEFAULT; Schema: pgq; Owner: marko
--

ALTER TABLE ONLY event_1_1 ALTER COLUMN ev_txid SET DEFAULT txid_current();


--
-- Name: ev_id; Type: DEFAULT; Schema: pgq; Owner: marko
--

ALTER TABLE ONLY event_1_2 ALTER COLUMN ev_id SET DEFAULT nextval('event_1_id_seq'::regclass);


--
-- Name: ev_txid; Type: DEFAULT; Schema: pgq; Owner: marko
--

ALTER TABLE ONLY event_1_2 ALTER COLUMN ev_txid SET DEFAULT txid_current();


--
-- Data for Name: batch_id_seq; Type: TABLE DATA; Schema: pgq; Owner: marko
--

COPY batch_id_seq  FROM stdin;
